[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.EditingDone

EditingDone - what to do when you have finished editing; calls the OnEditingDone event handler if assigned

## Declaration

Source position: controls.pp line 1310

`public procedure TControl.EditingDone; virtual;`

## Description

TControl.EditingDone

Called when user has finished editing. This procedure can be used by data links to commit the changes.

For example:

- When focus switches to another control (default)
- When user selected another item

It's totally up to the control, what events will commit.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.